//
//  Simphile.java
//  Simphile
//
//  Created by Brian Risk on Thu May 09 2002.
//  Copyright (c) 2002 Geneffects. All rights reserved.
//

import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Simphile {

    JFrame mf;
    
    public static void main(String args[]) {
       Simphile p = new Simphile();
    }
    
    public Simphile() {
        showSplash(5000);
        mf = new MainPanel();
        int frameWidth = 300;
        int frameheight = (int) (frameWidth * 1.618);
        mf.setSize(frameWidth, frameheight);
        mf.setResizable(false);
        mf.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
        mf.setLocation(d.width/2 - frameWidth/2, d.height/2 - frameheight/2);
        mf.setVisible(true);
    }

    private void showSplash(int time) {
        JWindow splash = new JWindow();
        JPanel content = (JPanel)splash.getContentPane();
        int width=300;
        int height=485;
        Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
        int x = (screen.width - width)/2;
        int y = (screen.height - height)/2;
        splash.setBounds(x,y,width,height);
        URL imageURL = ClassLoader.getSystemResource("splash.jpg");
        Image splashImage = Toolkit.getDefaultToolkit().getImage(imageURL);
        JLabel label = new JLabel(new ImageIcon(splashImage));
        content.add(label, BorderLayout.NORTH);
        splash.setVisible(true);
        try{Thread.sleep(time);} catch (Exception e) {}
        splash.setVisible(false);
        splash.dispose();
    }

}